For the complete documentation index, see llms.txt. This page is also available as Markdown.

Renew subscription

Create a renewal order for an existing Hostinger subscription.

Renew subscription

post

Create a renewal order for an existing Hostinger subscription.

This endpoint places a renewal order for a single subscription, leveraging the existing billing infrastructure. Use the subscriptions endpoint to look up the subscriptionId values available for renewal.

If no payment method is provided, your default payment method will be used automatically.

Use this endpoint to renew any subscription available in your account.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
subscriptionIdstringRequired

Subscription ID

Example: Cxy353Uhl1xC54pG6
Body
payment_method_idintegerOptional

Payment method ID, default will be used if not provided

Example: 1327362
Responses
200

Success response

application/json
idintegerOptional

Order ID

Example: 2957086
subscription_idstringOptional

Subscription ID

Example: Azz353Uhl1xC54pR0
statusstring · enumOptionalExample: completedPossible values:
currencystringOptional

Currency code

Example: USD
subtotalintegerOptional

Subtotal price (exc. VAT) in cents

Example: 899
totalintegerOptional

Total price (inc. VAT) in cents

Example: 1088
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
updated_atstring · date-timeOptionalExample: 2025-03-27T11:54:22Z
post/api/billing/v1/subscriptions/{subscriptionId}/renew
POST /api/billing/v1/subscriptions/{subscriptionId}/renew HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 42

{
  "payment_method_id": 1327362,
  "coupons": []
}
{
  "id": 2957086,
  "subscription_id": "Azz353Uhl1xC54pR0",
  "status": "completed",
  "currency": "USD",
  "subtotal": 899,
  "total": 1088,
  "billing_address": {
    "first_name": "John",
    "last_name": "Doe",
    "company": null,
    "address_1": null,
    "address_2": null,
    "city": null,
    "state": null,
    "zip": null,
    "country": "NL",
    "phone": null,
    "email": "john@doe.tld"
  },
  "created_at": "2025-02-27T11:54:22Z",
  "updated_at": "2025-03-27T11:54:22Z"
}

Last updated

Was this helpful?